Upstream information

CVE-2008-1382 at MITRE

Description

libpng 1.0.6 through 1.0.32, 1.2.0 through 1.2.26, and 1.4.0beta01 through 1.4.0beta19 allows context-dependent attackers to cause a denial of service (crash) and possibly execute arbitrary code via a PNG file with zero length "unknown" chunks, which trigger an access of uninitialized memory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 378634 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • libpng-devel >= 1.2.26-14.2
  • libpng-devel-32bit >= 1.2.26-14.2
  • libpng12-0 >= 1.2.26-14.2
  • libpng12-0-32bit >= 1.2.26-14.2
  • libpng12-0-64bit >= 1.2.26-14.2
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • libpng >= 1.2.5-182.18
  • libpng-devel >= 1.2.5-182.18
sles9-oes.x86
sles10.s390x
sles10.ppc
sles9-nlpos.x86
sled10.x86-64
sled10.x86
sles10.ia64
core9.ia64
core9.ppc
core9.x86
core9.s390
sles9-nld.x86-64
core9.s390x
sles9-nld.x86
sles10.x86
sles10.x86-64
core9.x86-64
ZYPP Patch Nr: 5181
Novell Linux Desktop 9 for x86_64
  • libpng >= 1.2.5-182.18
  • libpng-32bit >= 9-200804151618
  • libpng-devel >= 1.2.5-182.18
sles9-oes.x86
sles10.s390x
sles10.ppc
sles9-nlpos.x86
sled10.x86-64
sled10.x86
sles10.ia64
core9.ia64
core9.ppc
core9.x86
core9.s390
sles9-nld.x86-64
core9.s390x
sles9-nld.x86
sles10.x86
sles10.x86-64
core9.x86-64
ZYPP Patch Nr: 5181
SUSE LINUX 10.1
  • libpng >= 1.2.8-19.15
  • libpng-32bit >= 1.2.8-19.15
  • libpng-64bit >= 1.2.8-19.15
  • libpng-devel >= 1.2.8-19.15
  • libpng-devel-32bit >= 1.2.8-19.15
  • libpng-devel-64bit >= 1.2.8-19.15